<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class DBWorkWeitermeldecode extends DBWorkGenerated
{
  public function __construct($pDBTyp = 1, $pNewInstance = false)
  {
    parent::__construct($pDBTyp, $pNewInstance);

    $this->select = 'id, belegid, belegid, knr, knr, tnr, tnr, code, code, gueltigbis, gueltigbis, eingeloestam, '
                  . 'eingeloestam, belegid_nachfolgekurs, belegid_nachfolgekurs, knr_nachfolgekurs, knr_nachfolgekurs, '
                  . 'erfasstam, erfasstam, erfasstvon, erfasstvon';

    $this->_dataModulFields = array('knr', 'code', 'knr_nachfolgekurs', 'erfasstvon', 'gueltigbis', 'eingeloestam',
                                    'erfasstam', 'belegid', 'tnr', 'belegid_nachfolgekurs', 'id');
  }

  
  public function getNewObject()
  {
    return new Weitermeldecode();
  }

  public function getTableName(): string
  {
    return 'weitermeldecode';
  }
}